package bytecode;

import static org.junit.Assert.*;

import java.io.File;
import java.lang.reflect.Method;
import java.net.URL;
import java.net.URLClassLoader;

import org.junit.BeforeClass;
import org.junit.Test;

import de.dhbwstuttgart.core.JavaTXCompiler;

public class Tph3Test {
	
	private static String path;
	private static File fileToTest;
	private static JavaTXCompiler compiler;
	private static String pathToClassFile;
	
	@Test
	public void generateBC() throws Exception {
		path = System.getProperty("user.dir")+"/src/test/resources/bytecode/javFiles/Tph3.jav";
		fileToTest = new File(path);
		compiler = new JavaTXCompiler(fileToTest);
		pathToClassFile = System.getProperty("user.dir")+"/src/test/resources/testBytecode/generatedBC/";
		compiler.generateBytecode(pathToClassFile);
	}

}
